> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/q-z-integrations/qradar-setup-for-workbench.md).

# QRadar Setup for Workbench

## Prerequisites <a href="#h_01hyedw19rxj50n0r6kvcazxv5" id="h_01hyedw19rxj50n0r6kvcazxv5"></a>

1. Make sure you install the QRadar Use Case Manager application. The application supplies SOC analysts with an essential function that supports their operations.

## Step 1: Enable Console Access <a href="#h_01hyedw19rhq75rtqy647dqa8n" id="h_01hyedw19rhq75rtqy647dqa8n"></a>

Having read-only access to the interface of your technology allows Expel to dig deeper during incident investigations. Our device health team uses this access to investigate potential health issues with your tech. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

This procedure creates a user account for Expel that keeps the Expel activity separate from other activity on the QRadar console.

1. Navigate to **Admin > Users**. A new window opens.
2. Click **+Add** next to the search bar in the new window.
3. Configure the use as follows:
   * **User Name** - enter "Expel SOC".
   * **User Description** - enter "Expel access user" or a description of your choice.
   * **E-mail** - enter "soc+**\<Your\_Organization\_Name>**@expel.io".
     * For example, if your organization were Acme Corp, the format would be "<soc+acme_corp@expel.io>".
   * **Authentication** - toggle **Local Authentication Fallback on** and enter a **password**.
   * **User Role** - set to **Admin**.
   * **Security Profile** - set to **Admin**.
4. Click **Save**.
5. Close the window.

## Step 2: Enable API Access for Expel <a href="#h_01hyedw19r9sedem3gv9pk7r2v" id="h_01hyedw19r9sedem3gv9pk7r2v"></a>

This procedure creates an authentication token that allows the Expel Assembler to access the QRadar API.

1. Navigate to **Admin > Authorized Services**. A new window opens.
2. Click the **Add Authorized Service in the Manage Authorized Services** window.
3. Configure the service as follows:
   * **Service Name**- enter "Expel API".
   * **User Role**  - set to **Admin**.
   * **Security Profile** - set to **Admin**.
   * Select **No Expiry**.
4. Click **Create Service**.
5. Make note of the newly generated **Authentication Token** in a safe place for use in a later step.

## Step 3: Configure QRadar in Workbench <a href="#h_01hyedw19rxc2ngw7f10ac6m56" id="h_01hyedw19rxc2ngw7f10ac6m56"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. [Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**. If you have multiple organizations, you must select the appropriate organization name from the list.
3. Select **Add Security Device**.
4. Search for and select **QRadar**. Configure as follows:
   * **Where is your device?** - select one of the following depending on your installation:
     * **Self-hosted installation:** select **On-prem** and then select **Assembler** from the list. Select the assembler you set up in [Add a New Assembler](/connect-your-technology/expel-assembler/add-a-new-assembler.md).
     * **SaaS installation**: select **Cloud**.
   * **Name** - enter a name that might help you more easily identify this integration, such as “CompanyName QRadar”; this name will display in Workbench under the Name column, and is a text string that you can filter on.
   * **Location** - enter the location of your integration, for example, “cloud.” This is also a text string that you can filter on, so we recommend being consistent with location naming across your Expel integrations.
   * **Server address** - enter the hostname or console IP of device.
   * **API key** - enter the Authentication Token created in [Step 2](#h_01hyedw19r9sedem3gv9pk7r2v).
   * **Email log source ID** - enter the log source ID for email queries.
   * **Use case manager ID** - enter the numeric ID of the QRadar Use Case Manager application.
   * **Username** and **Password** - enter the credentials created in [Step 1](#h_01hyedw19rhq75rtqy647dqa8n).
5. Click **Save**.
6. On the console access screen, select **Set up now**.
7. In the Console Login area, complete the fields as follows:
   * **Console URL** - enter the console URL from the Server address in the Connection Settings area above. At the end of the URL, enter "**/login"**.
   * **Username** - enter the username for the new user you created in [Step 1](#h_01hyedw19rhq75rtqy647dqa8n).
   * **Password** - enter the password for the new user.
   * **Two-factor secret key (32-character code)** - depending on how your organization enforces log-ins, this field may not apply to you. In these cases, you can leave it blank. This field is optional. If you have questions or concerns, reach out to your Customer Success Manager (CSM) or Expel support.
8. Select **Save**.

Your device should be created successfully within a few seconds. A few reminders:

* After your connection is healthy, it will take some time for your device to begin polling and receiving data.
* To check on the status, select the downward arrow for your device in the first column and choose **View details**.
* Polling will happen first; data will be received after that. **You must refresh the page to see updates.**
* If your device does not begin polling within 15 minutes, and does not begin receiving data within 30 minutes, [contact our support team for help](/support/how-to-reach-us.md).
* To check if alerts are coming through, navigate to **Dashboards > Alert Analysis**. Scroll to the device you want to check, and select the **Expel Alerts** tab to reveal more alert information. It can take 36 to 72 hours for alerts to appear after setup, as we [tune your device](/workbench-reference/alerts/how-expel-alerts-work.md#device-tuning).

{% hint style="info" %}
Expel will poll only [Offenses](https://www.ibm.com/docs/en/qradar-on-cloud?topic=management-offense-investigations) from QRadar, after which a further filtering according to our Detection Strategy will apply.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/q-z-integrations/qradar-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
